<template>
  <div class="auth-page">
    <div class="logo">
      <!-- <img src="https://placehold.co/48x48?text=%3E_" /> -->
      <div class="placeholder-logo">&nbsp;</div>
      <div class="logo-text">
        <span class="indent">Indent</span><span class="dot">.</span><span class="cloud">Cloud</span>
      </div>
    </div>

    <div id="central-card-form">
      <div class="outer">
        <div class="middle">
          <h2>Create a new account</h2>
          <el-card shadow="never">
            <el-form label-position="top" label-width="100px" :model="register">
              <el-form-item label="Username">
                <el-input v-model="register.usernamel" autofocus></el-input>
              </el-form-item>
              <el-form-item label="Email">
                <el-input v-model="register.email" type="email"></el-input>
              </el-form-item>
              <el-form-item label="Password">
                <el-input v-model="register.password" show-password></el-input>
              </el-form-item>
              <el-form-item label="Confirm Password">
                <el-input v-model="register.password_confirm" show-password></el-input>
              </el-form-item>
              <el-form-item>
                <el-button id="login-button" type="primary" @click="onSubmit" round>Register</el-button>
              </el-form-item>
              <div id="additional-links">
                <router-link to="/login" class="el-link el-link--primary is-underline">Cancel</router-link>
              </div>
            </el-form>
          </el-card>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    data() {
      return {
        register: {
          username: '',
          email: '',
          password: '',
          password_config: '',
        }
      };
    },
    methods: {
      onSubmit() {
        this.$message({
          dangerouslyUseHTMLString: true,
          message: '<strong>Registration Failed</strong><div>This has not been implemented yet</div>',
          type: 'error'
        });
      }
    }
  }
</script>

<style lang="scss">
  @import '@/assets/scss/central-card-form.scss';
</style>